Product Label Management
========================

## What is Product Label Magento 2 Module?

This module allow possibility to create and manage custom product labels that are linked to specific attributes values and  to display them in front  

## Who is developing this module ? 

![Smile](doc/static/smile.png)

This module is built by Smile. 

Smile is the **European leader of Open Source** and also a four-times **Europe Partner of the the Year** (2010-2014), two-times **Spirit of Excellence** (2015-2016), **Global Elite Partner** (2017-now), and **Regional Commercial Partner** (2018) awarded by Magento.

Our multidisciplinary team brings together experts in technology, innovation, and new applications.

Together we explore, invent, and test technologies of the future, to better serve our clients.

## Main Features

### Create Product Labels

* **Product Labels:**

This module allows you to **create product labels** associated with an existing Attribute value.

![Product Labels](./doc/static/product_label_list.png)

* **Create a Product Label:**

You can create as many entity types as you need

![Create](./doc/static/product_label_create.png)

### Product label on front

* **Product labels are displayed in Product Listing and Product Details pages.**

![Product Listing](./doc/static/product_label_product_listing.png)

![Product Details](./doc/static/product_label_product_details.png)

## Documentation

Documentation is available [here](https://github.com/Smile-SA/magento2-module-product-label/wiki).

The User Guide is also available on PDF format [here](https://github.com/Smile-SA/magento2-module-product-label/wiki/static/UserGuide.pdf)

## Standards & Code Quality

Built on top of Magento2, our module respects all its prerequisites and code quality rules.

You can also find our PHPCS Standards and PHPMD rulesets in the module directory.

The module is also continuously tested on :

Tools                           | Results
------------------------------- |------------
Code Climate                    | [![Maintainability](https://api.codeclimate.com/v1/badges/8801d15c1581ed3650bd/maintainability)](https://codeclimate.com/github/Smile-SA/magento2-module-product-label/maintainability)
Travis                          | [![Build Status](https://travis-ci.org/Smile-SA/magento2-module-product-label.svg?branch=master)](https://travis-ci.org/Smile-SA/magento2-module-product-label)
